Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 215159 - x11-wm/icewm-1.2.35 hang-up x11-base/xorg-server-1.4.0.90-r3 after select anything from popup window by ctrl+alt+del
Summary: x11-wm/icewm-1.2.35 hang-up x11-base/xorg-server-1.4.0.90-r3 after select any...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-28 09:40 UTC by sergey
Modified: 2009-05-06 09:46 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
my configuration (Dokument.txt,19.33 KB, text/plain)
2008-04-27 18:41 UTC, Ales Blaha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2008-03-28 09:40:42 UTC
x11-wm/icewm-1.2.35 hang-up X x11-base/xorg-server-1.4.0.90-r3 after i do follow:
press ctrl+alt+del 
popups window where i may select (cancel lock workstation & etc) #the all at this moment is in working state i see that my gkrellm draws the charts
mouse click on any button and all is stop... at screen no changes perfomed

i think that problem not in icewm but in that whats icewm use. May be in some library between xorg and icewm. I try re-emerge icewm with "emerge -eva icewm"
but that not help me.


Reproducible: Always




emerge --info
Portage 2.1.4.4 (default-linux/x86/2006.1, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gen
too-r3 i686)
=================================================================
System uname: 2.6.23-gentoo-r3 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
Timestamp of tree: Wed, 26 Mar 2008 13:00:04 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.koi8r"
LINGUAS="ru"
MAKEOPTS="-j1"
PKGDIR="/install/GRP"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/enlightenment"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa avi berkdb cdparanoia cdr cli cracklib crypt cups dbus dhcp divx4linux dri dvd dvdr dvdread encode fortran gdbm gif glut gphoto2 gtk iconv isdnlog jpeg jpeg2k lm_sensors midi mikmod mmx mp3 mudflap ncurses nls nptl nptlonly nvidia opengl openmp oracle oss pam pcre perl png ppds pppd python readline reflection samba sdl session silverxp spl sse sse2 ssl svg tcpd truetype unicode usb v4l win32codecs x86 xorg xpm xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="nv nvidia v4l vesa vga s3 savage"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



 emerge -epv icewm

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-apps/portage-2.1.4.4  USE="-build -doc -epydoc (-selinux)" LINGUAS="-pl" 0 kB 
[ebuild   R   ] dev-util/pkgconfig-0.22  USE="-hardened" 0 kB 
[ebuild   R   ] sys-libs/ncurses-5.6-r2  USE="unicode -bootstrap -build -debug -doc -gpm -minimal -nocxx -profile -trace" 0 kB 
[ebuild   R   ] sys-libs/zlib-1.2.3-r1  0 kB 
[ebuild   R   ] virtual/libintl-0  0 kB 
[ebuild   R   ] sys-devel/gnuconfig-20070724  0 kB 
[ebuild   R   ] dev-libs/expat-2.0.1  0 kB 
[ebuild   R   ] sys-devel/automake-wrapper-3-r1  0 kB 
[ebuild   R   ] app-admin/python-updater-0.2  0 kB 
[ebuild   R   ] sys-apps/sandbox-1.2.18.1-r2  0 kB 
[ebuild   R   ] app-misc/pax-utils-0.1.17  USE="-caps" 0 kB 
[ebuild   R   ] virtual/libiconv-0  0 kB 
[ebuild   R   ] sys-devel/autoconf-wrapper-4-r3  0 kB 
[ebuild   R   ] app-shells/bash-3.2_p17-r1  USE="nls -afs -bashlogger -plugins -vanilla" 0 kB 
[ebuild   R   ] media-libs/libpng-1.2.24  0 kB 
[ebuild   R   ] sys-libs/readline-5.2_p12-r1  0 kB 
[ebuild   R   ] sys-apps/debianutils-2.28.2  USE="-static" 0 kB 
[ebuild   R   ] sys-apps/mktemp-1.5  0 kB 
[ebuild   R   ] sys-devel/binutils-config-1.9-r4  0 kB 
[ebuild   R   ] app-admin/perl-cleaner-1.05  0 kB 
[ebuild   R   ] sys-apps/man-pages-2.78  USE="nls" LINGUAS="ru -cs -da -de -es -fr -it -ja -nl -pl -ro -zh_CN" 0 kB 
[ebuild   R   ] app-misc/ca-certificates-20070303-r1  0 kB 
[ebuild   R   ] app-admin/eselect-fontconfig-1.0  0 kB 
[ebuild   R   ] sys-devel/autoconf-2.61-r1  USE="-emacs" 0 kB 
[ebuild   R   ] sys-devel/libtool-1.5.26  USE="-vanilla" 0 kB 
[ebuild   R   ] media-libs/jpeg-6b-r8  0 kB 
[ebuild   R   ] media-libs/tiff-3.8.2-r3  USE="jpeg zlib -jbig -nocxx" 0 kB 
[ebuild   R   ] sys-devel/automake-1.10  0 kB 
[ebuild   R   ] dev-libs/glib-1.2.10-r5  USE="-hardened" 0 kB 
[ebuild   R   ] sys-devel/m4-1.4.10  USE="nls -examples" 0 kB 
[ebuild   R   ] x11-misc/util-macros-1.1.5  0 kB 
[ebuild   R   ] sys-devel/binutils-2.18-r1  USE="nls -multislot -multitarget -test -vanilla" 0 kB 
[ebuild   R   ] x11-proto/xproto-7.0.10  0 kB 
[ebuild   R   ] x11-proto/xextproto-7.0.2  0 kB 
[ebuild   R   ] sys-libs/db-4.5.20_p2  USE="-bootstrap -doc -java -nocxx -tcl -test" 0 kB 
[ebuild   R   ] x11-proto/inputproto-1.4.3-r1  0 kB 
[ebuild   R   ] x11-libs/xtrans-1.0.4  USE="-debug" 0 kB 
[ebuild   R   ] x11-proto/kbproto-1.0.3  0 kB 
[ebuild   R   ] x11-proto/renderproto-0.9.3  0 kB 
[ebuild   R   ] sys-libs/db-4.3.29-r2  USE="-bootstrap -doc -java -nocxx -tcl -test" 0 kB 
[ebuild   R   ] x11-proto/xf86bigfontproto-1.1.2  0 kB 
[ebuild   R   ] x11-proto/bigreqsproto-1.0.2  0 kB 
[ebuild   R   ] x11-proto/xcmiscproto-1.1.2  0 kB 
[ebuild   R   ] x11-proto/randrproto-1.2.1  0 kB 
[ebuild   R   ] x11-libs/libICE-1.0.4  USE="-debug -ipv6" 0 kB 
[ebuild   R   ] sys-libs/gdbm-1.8.3-r3  USE="berkdb" 0 kB 
[ebuild   R   ] x11-libs/libXau-1.0.3  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXdmcp-1.0.2  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libX11-1.1.3  USE="-debug -ipv6 -xcb" 0 kB 
[ebuild   R   ] x11-libs/libSM-1.0.3  USE="-debug -ipv6" 0 kB 
[ebuild   R   ] x11-libs/libXext-1.0.3  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXt-1.0.5  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXrender-0.9.4  USE="-debug" 0 kB 
[ebuild   R   ] media-libs/freetype-2.3.5-r2  USE="X -bindist -debug -doc -utils" 0 kB 
[ebuild   R   ] media-libs/giflib-4.1.6  USE="X -rle" 0 kB 
[ebuild   R   ] media-libs/fontconfig-2.5.0-r1  USE="-doc -xml" 0 kB 
[ebuild   R   ] x11-libs/libXpm-3.5.7  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXrandr-1.2.1  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXi-1.1.3  USE="-debug" 0 kB 
[ebuild   R   ] x11-libs/libXft-2.1.12  USE="-debug" 0 kB 
[ebuild   R   ] sys-devel/libperl-5.8.8-r1  USE="berkdb gdbm -debug -ithreads" 0 kB 
[ebuild   R   ] dev-lang/perl-5.8.8-r4  USE="berkdb gdbm -build -debug -doc -ithreads -perlsuid" 0 kB 
[ebuild   R   ] perl-core/Test-Harness-2.64  0 kB 
[ebuild   R   ] perl-core/PodParser-1.35  0 kB 
[ebuild   R   ] dev-perl/XML-Parser-2.34-r1  0 kB 
[ebuild   R   ] dev-util/intltool-0.35.5  0 kB 
[ebuild   R   ] sys-devel/gettext-0.17  USE="nls openmp -acl -doc -emacs -nocxx" 0 kB 
[ebuild   R   ] sys-apps/texinfo-4.8-r5  USE="nls -build -static" 0 kB 
[ebuild   R   ] sys-apps/sed-4.1.5  USE="nls -static" 0 kB 
[ebuild   R   ] sys-apps/coreutils-6.9-r1  USE="nls -acl (-selinux) -static -xattr" 0 kB 
[ebuild   R   ] sys-apps/findutils-4.3.11  USE="nls (-selinux) -static" 0 kB 
[ebuild   R   ] dev-perl/Locale-gettext-1.05  0 kB 
[ebuild   R   ] sys-apps/diffutils-2.8.7-r2  USE="nls -static" 0 kB 
[ebuild   R   ] dev-libs/popt-1.10.7  USE="nls" 0 kB 
[ebuild   R   ] x11-libs/gtk+-1.2.10-r12  USE="nls -debug" LINGUAS="ru -az -ca -cs -da -de -el -es -et -eu -fi -fr -ga -gl -hr -hu -it -ja -ko -lt -nl -nn -no -pl -pt -pt_BR -ro -sk -sl -sr -sv -tr -uk -vi" 0 kB 
[ebuild   R   ] sys-apps/help2man-1.36.4  USE="nls" 0 kB 
[ebuild   R   ] dev-libs/openssl-0.9.8g  USE="sse2 zlib -bindist -emacs -gmp -kerberos -test" 0 kB 
[ebuild   R   ] sys-apps/groff-1.19.2-r1  USE="X -cjk" 0 kB 
[ebuild   R   ] net-misc/rsync-2.6.9-r5  USE="-acl -ipv6 -static -xinetd" 0 kB 
[ebuild   R   ] media-libs/imlib-1.9.15-r2  USE="gtk -doc" 0 kB 
[ebuild   R   ] sys-apps/man-1.6f  USE="nls" 0 kB 
[ebuild   R   ] x11-wm/icewm-1.2.35  USE="imlib nls truetype -debug -esd -minimal -spell (-uclibc) -xinerama" 0 kB 
[ebuild   R   ] app-i18n/man-pages-ru-0.98  0 kB 
[ebuild   R   ] dev-lang/python-2.4.4-r9  USE="berkdb gdbm ncurses readline ssl -bootstrap -build -doc -examples -ipv6 -nocxx -nothreads -tk -ucs2" 0 kB 
[ebuild   R   ] dev-libs/libxml2-2.6.30-r1  USE="python readline -bootstrap -build -debug -doc -ipv6 -test" 0 kB 
[ebuild   R   ] dev-python/python-fchksum-1.7.1  0 kB 
[ebuild   R   ] dev-python/pycrypto-2.0.1-r6  USE="-bindist -gmp -test" 0 kB 
[ebuild   R   ] sys-apps/file-4.23  USE="python" 0 kB 
[ebuild   R   ] app-admin/eselect-1.0.10  USE="-bash-completion -doc -vim-syntax" 0 kB 


emerge -pv nvidia-drivers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-drivers/nvidia-drivers-96.43.05  USE="gtk -acpi (-multilib)" 0 kB
Comment 1 José Romildo Malaquias 2008-04-05 11:26:46 UTC
IceWM is locking the screen for me too, in 3 different computers: a ~x86 notebook with an Intel graphics chipset, a ~amd64 and a ~x86 desktops, both with nvidia closed drivers. I have not detected any special action to make X hang up. It just happens after some minutes of use. For now I just migrated to another window manager, but would like to be able to go back to IceWM again.
Comment 2 Ales Blaha 2008-04-27 18:41:16 UTC
Created attachment 151163 [details]
my configuration

I`ve got the same problem. IceWM (or Xorg) hangs every time a touch Alt+Tab to swicht windows. The window gets partially rendered, but then it all freezes. I`m using IceWM for quite a while and never have that problem. I tried compile the agpgart, drm and i915 drivers into the kernel, but to no avail. There is my configuration:
Comment 3 Ales Blaha 2008-04-27 21:26:46 UTC
The xorg-server-1.4.0.90-r3 with icewm-1.2.34 hangs as well. But I have downgraded xorg-server to 1.3.0.0-r5 and it works, even with the icewm-1.2.35! So the Xorg is probably to blame here, but I have also downgraded mesa from 7.0.2 to 6.5.2 so I can't be sure.
Comment 4 Pacho Ramos gentoo-dev 2009-02-28 10:12:48 UTC
I don't suffer this problem with xorg-server-1.5.3-r2, please try
Comment 5 Rémi Cardona gentoo-dev 2009-05-06 09:46:51 UTC
Please confirm that the bug is gone with xorg-server 1.5.3-r5 which is the latest stable.

Thanks